#ifndef CresH
#define CresH

#include "util/simpleobject/AgString.h"
#include <map>

class ResourceBundle
{
private:
    std::map<AgString, AgString> res;

public:
    ResourceBundle();
    AgString getString(const AgString &str);
};

class Cres
{
 public:
    static ResourceBundle *get();
};



#endif 
